using System;

internal sealed class Delegate665 : MulticastDelegate
{
	public extern DateTime Invoke(ref DateTime dateTime_0, double double_0);

	public static DateTime smethod_0(ref DateTime dateTime_0, double double_0, Delegate665 delegate665_1)
	{
		return delegate665_1(ref dateTime_0, double_0);
	}

	public extern Delegate665(object object_0, IntPtr intptr_0);

	static Delegate665()
	{
		Class10.smethod_13(typeof(Delegate665).TypeHandle);
	}

	internal static Delegate665 delegate665_0;
}
